## remctl 3.5

=== debian/changelog ===
remctl (3.5-1build1) saucy; urgency=low

  * Rebuild for PHP 5.5.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Jul 2013 01:46:57 +0100

remctl (3.5-1) unstable; urgency=low

  * New upstream release.
    - Fix a long-standing race condition in remctld that could truncate
      large backend output.
    - remctl_set_ccache is now threadsafe when built against a GSS-API
      library that supports gss_krb5_import_cred.
    - The Net::Remctl and Net::Remctl::Backend Perl module versions have
      gone backwards from Perl's perspective to bring them in-line with
      the package version (3.4 -> 3.05).  This is a one-time adjustment
      to a more reliable versioning scheme.
    - Fix test suite issues with newer Linux kernels.

 -- Russ Allbery <rra@debian.org>  Fri, 28 Jun 2013 21:45:30 -0700

remctl (3.4-2) unstable; urgency=low

  * Upload to unstable.
  * Drop old Ruby transitional packages required for upgrades from squeeze
    now that wheezy has been released.
  * Add additional Perl modules required to run the full module test suite
    to Build-Depends.

 -- Russ Allbery <rra@debian.org>  Sat, 11 May 2013 16:34:25 -0700

remctl (3.4-1) experimental; urgency=low

  * New upstream release.
    - New C APIs for establishing a remctl connection given a sockaddr, a
      list of struct addrinfo, or an already open socket.
    - New Net::Remctl::Backend Perl module to aid writing remctl backend
      scripts.
    - Remove all prototypes from Net::Remctl functions.
    - Return an error if an empty command is passed to remctl_command.

 -- Russ Allbery <rra@debian.org>  Tue, 26 Mar 2013 13:19:58 -0700

remctl (3.3-1) experimental; urgency=low

  * New upstream release.
    - Fix a file descriptor leak when checking ACL files.
    - Fix memory leaks in remctld and libremctl.
    - Don't create the PID file in remctld until the network socket is set
      up and listening.
    - Remove prototypes from the Perl remctl() function to allow passing
      in parameters via an array.
  * Use xz compression for the Debian binary packages.
  * Update to standards version 3.9.4.
    - Add branch information to Vcs-Git.

 -- Russ Allbery <rra@debian.org>  Tue, 25 Sep 2012 21:34:43 -0700
