=== debian/control ===
Source: remctl
Section: net
Priority: optional
Maintainer: Russ Allbery <rra@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, dpkg-dev (>= 1.14.9),
 libkrb5-dev, libpcre3-dev, libperl-critic-perl, libtest-pod-perl,
 libtest-minimumversion-perl, libtest-pod-coverage-perl,
 libtest-strict-perl, libtest-synopsis-perl, perl, php5-cli, php5-dev,
 python-all-dev, ruby1.8, ruby1.8-dev, ruby1.9.1, ruby1.9.1-dev
XS-Python-Version: >= 2.6
Standards-Version: 3.9.4
Homepage: http://www.eyrie.org/~eagle/software/remctl/
Vcs-Git: git://git.eyrie.org/kerberos/remctl.git -b debian
Vcs-Browser: http://git.eyrie.org/?p=kerberos/remctl.git

Package: libremctl1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for Kerberos-authenticated command execution
 remctl is a client/server protocol for executing specific commands on a
 remote system with Kerberos authentication.  The allowable commands must
 be listed in a server configuration file, and the executable run on the
 server may be mapped to any command name.  Each command is also
 associated with an ACL containing a list of Kerberos principals
 authorized to run that command.
 .
 This package contains the client libraries linked against MIT Kerberos.

Package: libremctl-dev
Section: libdevel
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libremctl1 (= ${binary:Version})
Suggests: libkrb5-dev
Description: Development files for Kerberos-authenticated command execution
 remctl is a client/server protocol for executing specific commands on a
 remote system with Kerberos authentication.  The allowable commands must
 be listed in a server configuration file, and the executable run on the
 server may be mapped to any command name.  Each command is also
 associated with an ACL containing a list of Kerberos principals
 authorized to run that command.
 .
 This package contains the development files for client libraries linked
 against MIT Kerberos.

Package: remctl-client
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Client for Kerberos-authenticated command execution
 remctl is a client/server protocol for executing specific commands on a
 remote system with Kerberos authentication.  The allowable commands must
 be listed in a server configuration file, and the executable run on the
 server may be mapped to any command name.  Each command is also
 associated with an ACL containing a list of Kerberos principals
 authorized to run that command.
 .
 This package contains the client program (remctl).

Package: remctl-server
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, update-inetd | inet-superserver,
 netbase (>= 4.31)
Recommends: openbsd-inetd | inet-superserver, tcpd
Description: Server for Kerberos-authenticated command execution
 remctl is a client/server protocol for executing specific commands on a
 remote system with Kerberos authentication.  The allowable commands must
 be listed in a server configuration file, and the executable run on the
 server may be mapped to any command name.  Each command is also
 associated with an ACL containing a list of Kerberos principals
 authorized to run that command.
 .
 This package contains the server (remctld).

Package: libnet-remctl-perl
Section: perl
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: Perl client for Kerberos-authenticated command execution
 remctl is a client/server protocol for executing specific commands on a
 remote system with Kerberos authentication.  The allowable commands must
 be listed in a server configuration file, and the executable run on the
 server may be mapped to any command name.  Each command is also
 associated with an ACL containing a list of Kerberos principals
 authorized to run that command.
 .
 This package contains the Net::Remctl Perl library, which provides native
 Perl bindings for the libremctl client library.  It also contains the
 Net::Remctl::Backend module, which assists in writing remctl backends in
 Perl.

Package: php5-remctl
Section: php
Architecture: any
Depends: ${shlibs:Depends}, ${php:Depends}, ${misc:Depends}
Description: PECL module for Kerberos-authenticated command execution
 remctl is a client/server protocol for executing specific commands on a
 remote system with Kerberos authentication.  The allowable commands must
 be listed in a server configuration file, and the executable run on the
 server may be mapped to any command name.  Each command is also
 associated with an ACL containing a list of Kerberos principals
 authorized to run that command.
 .
 This package contains the PECL remctl module for PHP 5, which provides
 native PHP bindings for the libremctl client library.

Package: python-remctl
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Python extension for Kerberos-authenticated command execution
 remctl is a client/server protocol for executing specific commands on a
 remote system with Kerberos authentication.  The allowable commands must
 be listed in a server configuration file, and the executable run on the
 server may be mapped to any command name.  Each command is also
 associated with an ACL containing a list of Kerberos principals
 authorized to run that command.
 .
 This package contains the Python remctl extension, which provides native
 Python bindings for the libremctl client library.

Package: ruby-remctl
Section: ruby
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libremctl-ruby1.8 (<< 3.2), libremctl-ruby1.9 (<< 3.2)
Breaks: libremctl-ruby1.8 (<< 3.2), libremctl-ruby1.9 (<< 3.2)
Description: Ruby extension for Kerberos-authenticated command execution
 remctl is a client/server protocol for executing specific commands on a
 remote system with Kerberos authentication.  The allowable commands must
 be listed in a server configuration file, and the executable run on the
 server may be mapped to any command name.  Each command is also
 associated with an ACL containing a list of Kerberos principals
 authorized to run that command.
 .
 This package contains the Ruby remctl extension, which provides native
 Ruby bindings for the libremctl client library.
