## remctl 3.6

=== debian/changelog ===
remctl (3.6-1b1) staging; urgency=low

  * No-change rebuild against perl 5.18

 -- Jon Severinsson <jon@severinsson.net>  Tue, 28 Jan 2014 22:38:47 +0100

remctl (3.6-1) unstable; urgency=low

  * New upstream release.
    - For client calls with a timeout, restart waiting for a non-blocking
      connect if the select call is interrupted by a signal.
    - Better Net::Remctl::Backend help formatting for commands with long
      syntax.

 -- Russ Allbery <rra@debian.org>  Wed, 14 Aug 2013 21:56:39 -0700
