=== debian/control ===
--- 
+++ 
@@ -2,13 +2,28 @@
 Section: net
 Priority: optional
 Maintainer: Russ Allbery <rra@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, dpkg-dev (>= 1.14.9),
- libkrb5-dev, libpcre3-dev, libperl-critic-perl, libtest-pod-perl,
- libtest-minimumversion-perl, libtest-pod-coverage-perl,
- libtest-strict-perl, libtest-synopsis-perl, perl, php5-cli, php5-dev,
- python-all-dev, ruby1.8, ruby1.8-dev, ruby1.9.1, ruby1.9.1-dev
+Build-Depends: debhelper (>= 9),
+ dh-autoreconf,
+ dpkg-dev (>= 1.14.9),
+ gem2deb (>= 0.4.1~),
+ libevent-dev,
+ libkrb5-dev,
+ libpcre3-dev,
+ libperl-critic-perl,
+ libsystemd-daemon-dev [linux-any],
+ libtest-pod-perl,
+ libtest-minimumversion-perl,
+ libtest-pod-coverage-perl,
+ libtest-strict-perl,
+ libtest-synopsis-perl,
+ perl,
+ php5-cli,
+ php5-dev,
+ pkg-config,
+ python-all-dev
 XS-Python-Version: >= 2.6
-Standards-Version: 3.9.4
+XS-Ruby-Versions: all
+Standards-Version: 3.9.5
 Homepage: http://www.eyrie.org/~eagle/software/remctl/
 Vcs-Git: git://git.eyrie.org/kerberos/remctl.git -b debian
 Vcs-Browser: http://git.eyrie.org/?p=kerberos/remctl.git
@@ -128,9 +143,10 @@
 Package: ruby-remctl
 Section: ruby
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libremctl-ruby1.8 (<< 3.2), libremctl-ruby1.9 (<< 3.2)
-Breaks: libremctl-ruby1.8 (<< 3.2), libremctl-ruby1.9 (<< 3.2)
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
+X-DhRuby-Root: ruby
+XB-Ruby-Versions: ${ruby:Versions}
 Description: Ruby extension for Kerberos-authenticated command execution
  remctl is a client/server protocol for executing specific commands on a
  remote system with Kerberos authentication.  The allowable commands must
