## remctl 3.9

=== debian/changelog ===
remctl (3.9-1~bpo70+1) wheezy-backports; urgency=low

  * Backport to wheezy.
  * Restore Ruby 1.8 build and drop Ruby 2.0 build.

 -- Russ Allbery <rra@debian.org>  Sun, 13 Jul 2014 22:04:12 -0700

remctl (3.9-1) unstable; urgency=medium

  * New upstream release.
    - New server ACL type, localgroup, which converts the principal to a
      local username and then checks for membership in a local group.
    - Fix incorrect handling of interruptions of network writes by signals
      in the server.
    - Prefer calloc and reallocarray when allocating memory with
      multiplication.
    - Restore the SIGPIPE handler before running a command.
    - Add version and compatibility information to all manual pages.
  * Use an executable debian/libnet-remctl-perl.install file to pull the
    correct Perl arch-specific vendor module path from Perl during the
    build.  Should fix builds with Perl 5.20.  Thanks, Niko Tyni and
    gregor herrmann.  (Closes: #752902)
  * Build-Depend on krb5-config to get enough of a Kerberos configuration
    for some test cases that are KDC-independent to run.
  * Fix Upstream-Contact email address in debian/copyright.
  * Remove most debian/tmp prefixes from debhelper *.install files.  These
    have not been needed since compat level 7.  Retain them only for the
    remctl-server.install file, which pulls files from both the source
    tree and the installed binary tree and benefits from the
    disambiguation.

 -- Russ Allbery <rra@debian.org>  Wed, 02 Jul 2014 20:57:10 -0700
