=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9),
  dh-autoreconf,
  dpkg-dev (>= 1.14.9),
- gem2deb (>= 0.4.1~),
+ krb5-config,
  libevent-dev,
  libkrb5-dev,
  libpcre3-dev,
@@ -20,9 +20,12 @@
  php5-cli,
  php5-dev,
  pkg-config,
- python-all-dev
+ python-all-dev,
+ ruby1.8,
+ ruby1.8-dev,
+ ruby1.9.1,
+ ruby1.9.1-dev
 XS-Python-Version: >= 2.6
-XS-Ruby-Versions: all
 Standards-Version: 3.9.5
 Homepage: http://www.eyrie.org/~eagle/software/remctl/
 Vcs-Git: git://git.eyrie.org/kerberos/remctl.git -b debian
@@ -143,10 +146,7 @@
 Package: ruby-remctl
 Section: ruby
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
-X-DhRuby-Root: ruby
-XB-Ruby-Versions: ${ruby:Versions}
 Description: Ruby extension for Kerberos-authenticated command execution
  remctl is a client/server protocol for executing specific commands on a
  remote system with Kerberos authentication.  The allowable commands must
