=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 export REMCTL_PYTHON_VERSIONS := $(shell pyversions -s)
 
 %:
-	dh $@ --parallel --with python2,autoreconf,ruby
+	dh $@ --parallel --with python2,autoreconf
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
@@ -29,13 +29,26 @@
 	    --enable-reduced-depends --enable-perl --enable-php		\
 	    --enable-python --enable-ruby
 
-# Override install to check for missing installed files.  Ignore the Ruby
-# module installed in usr/local/lib by the upstream build system.  Run
-# dh_ruby --install to build and install the module for each supported Ruby
-# version.
+# For the first pass, build the Ruby 1.9.1 extension.  We'll go back and
+# build the extension for 1.8.
+override_dh_auto_build:
+	dh_auto_build --parallel -- REMCTL_RUBY=ruby1.9.1
+
+override_dh_auto_test:
+	dh_auto_test --parallel -- REMCTL_RUBY=ruby1.9.1
+
+# After installing the build for the default version of Ruby, go back and
+# rebuild for the older version.
+override_dh_auto_install:
+	dh_auto_install -- RUBYARCHDIR='$$(vendorarchdir)$$(target_prefix)'
+	cd ruby && $(MAKE) distclean
+	dh_auto_build --parallel -- REMCTL_RUBY=ruby1.8
+	cd ruby && $(MAKE) install DESTDIR='$(CURDIR)/debian/tmp' \
+	    RUBYARCHDIR='$$(vendorarchdir)$$(target_prefix)'
+
+# Override install to check for missing installed files.
 override_dh_install:
-	dh_install --fail-missing -Xlibremctl.la -Xusr/local/lib
-	dh_ruby --install
+	dh_install --fail-missing -Xlibremctl.la
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
