## remctl 3.10

=== debian/changelog ===
remctl (3.10-1ubuntu1) xenial; urgency=medium

  * Stop building php5-remctl, fails to build with php7.0.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 15 Mar 2016 10:29:47 +0100

remctl (3.10-1build2) xenial; urgency=medium

  * No-change rebuild to add ruby2.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Mar 2016 12:34:53 +0000

remctl (3.10-1build1) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 10:43:39 +0000

remctl (3.10-1) unstable; urgency=medium

  * New upstream release.
    - New server ACLs anyuser:auth and anyuser:anonymous.  The latter
      allows access by anonymous clients if the KDC supports anonymous
      service tickets.
    - Server now sets the REMOTE_EXPIRES environment variable to the time
      when the client credentials would expire.
    - Anonymous users no longer satisfy ANYUSER (anyuser:auth).
    - Simplify the Python RemctlError class (with some backward
      incompatibilities).
    - Dynamically resize the buffer used for the localgroup ACL scheme,
      allowing support of users in large numbers of local groups.

 -- Russ Allbery <rra@debian.org>  Fri, 27 Nov 2015 15:24:56 -0800

remctl (3.9-2) unstable; urgency=medium

  * Build against libsystemd instead of libsystemd-daemon.  Thanks,
    Michael Biebl.  (Closes: #779764)
  * Add explicit build dependency on libmodule-build-perl, since it will
    soon no longer be provided by the perl package.  (Closes: #791666)
  * Add debian/gbp.conf reflecting the branch layout of the default
    packaging repository.
  * Refresh upstream signing key.
  * Update standards version to 3.9.6 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sat, 08 Aug 2015 11:16:49 -0700
