=== debian/control ===
--- 
+++ 
@@ -5,28 +5,27 @@
 Build-Depends: debhelper (>= 9),
  dh-autoreconf,
  dpkg-dev (>= 1.14.9),
+ gem2deb (>= 0.4.1~),
  krb5-config,
  libevent-dev,
  libkrb5-dev,
+ libmodule-build-perl,
  libpcre3-dev,
  libperl-critic-perl,
- libsystemd-daemon-dev [linux-any],
+ libsystemd-dev [linux-any],
  libtest-pod-perl,
  libtest-minimumversion-perl,
  libtest-pod-coverage-perl,
  libtest-strict-perl,
  libtest-synopsis-perl,
  perl,
- php5-cli,
- php5-dev,
+# php5-cli,
+# php5-dev,
  pkg-config,
- python-all-dev,
- ruby1.8,
- ruby1.8-dev,
- ruby1.9.1,
- ruby1.9.1-dev
+ python-all-dev
 XS-Python-Version: >= 2.6
-Standards-Version: 3.9.5
+XS-Ruby-Versions: all
+Standards-Version: 3.9.6
 Homepage: http://www.eyrie.org/~eagle/software/remctl/
 Vcs-Git: git://git.eyrie.org/kerberos/remctl.git -b debian
 Vcs-Browser: http://git.eyrie.org/?p=kerberos/remctl.git
@@ -112,20 +111,20 @@
  Net::Remctl::Backend module, which assists in writing remctl backends in
  Perl.
 
-Package: php5-remctl
-Section: php
-Architecture: any
-Depends: ${shlibs:Depends}, ${php:Depends}, ${misc:Depends}
-Description: PECL module for Kerberos-authenticated command execution
- remctl is a client/server protocol for executing specific commands on a
- remote system with Kerberos authentication.  The allowable commands must
- be listed in a server configuration file, and the executable run on the
- server may be mapped to any command name.  Each command is also
- associated with an ACL containing a list of Kerberos principals
- authorized to run that command.
- .
- This package contains the PECL remctl module for PHP 5, which provides
- native PHP bindings for the libremctl client library.
+#Package: php5-remctl
+#Section: php
+#Architecture: any
+#Depends: ${shlibs:Depends}, ${php:Depends}, ${misc:Depends}
+#Description: PECL module for Kerberos-authenticated command execution
+# remctl is a client/server protocol for executing specific commands on a
+# remote system with Kerberos authentication.  The allowable commands must
+# be listed in a server configuration file, and the executable run on the
+# server may be mapped to any command name.  Each command is also
+# associated with an ACL containing a list of Kerberos principals
+# authorized to run that command.
+# .
+# This package contains the PECL remctl module for PHP 5, which provides
+# native PHP bindings for the libremctl client library.
 
 Package: python-remctl
 Section: python
@@ -146,7 +145,10 @@
 Package: ruby-remctl
 Section: ruby
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
+X-DhRuby-Root: ruby
+XB-Ruby-Versions: ${ruby:Versions}
 Description: Ruby extension for Kerberos-authenticated command execution
  remctl is a client/server protocol for executing specific commands on a
  remote system with Kerberos authentication.  The allowable commands must
