## remctl 3.11

=== debian/changelog ===
remctl (3.11-1) unstable; urgency=medium

  * New upstream release.
    - Port to PHP 7.  (Closes: #821713)
  * Convert packaging to use dh_php and build php-remctl instead of
    php5-remctl (and provide php7.0-remctl).  There is no upgrade path
    defined from php5-remctl, since that seems to be the way other PHP
    packages are being handled during the upgrade.
  * Switch to the DEP-14 branch layout and update debian/gbp.conf and
    Vcs-Git accordingly.
  * Belatedly bump shlibs for interfaces added in remctl 3.3.

 -- Russ Allbery <rra@debian.org>  Sat, 07 May 2016 15:15:46 -0700
