=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Russ Allbery <rra@debian.org>
 Build-Depends: debhelper (>= 9),
  dh-autoreconf,
+ dh-php,
  dpkg-dev (>= 1.14.9),
  gem2deb (>= 0.4.1~),
  krb5-config,
@@ -19,15 +20,15 @@
  libtest-strict-perl,
  libtest-synopsis-perl,
  perl,
-# php5-cli,
-# php5-dev,
+ php-cli,
+ php-dev,
  pkg-config,
  python-all-dev
 XS-Python-Version: >= 2.6
 XS-Ruby-Versions: all
 Standards-Version: 3.9.6
 Homepage: http://www.eyrie.org/~eagle/software/remctl/
-Vcs-Git: git://git.eyrie.org/kerberos/remctl.git -b debian
+Vcs-Git: git://git.eyrie.org/kerberos/remctl.git -b debian/master
 Vcs-Browser: http://git.eyrie.org/?p=kerberos/remctl.git
 
 Package: libremctl1
@@ -111,20 +112,21 @@
  Net::Remctl::Backend module, which assists in writing remctl backends in
  Perl.
 
-#Package: php5-remctl
-#Section: php
-#Architecture: any
-#Depends: ${shlibs:Depends}, ${php:Depends}, ${misc:Depends}
-#Description: PECL module for Kerberos-authenticated command execution
-# remctl is a client/server protocol for executing specific commands on a
-# remote system with Kerberos authentication.  The allowable commands must
-# be listed in a server configuration file, and the executable run on the
-# server may be mapped to any command name.  Each command is also
-# associated with an ACL containing a list of Kerberos principals
-# authorized to run that command.
-# .
-# This package contains the PECL remctl module for PHP 5, which provides
-# native PHP bindings for the libremctl client library.
+Package: php-remctl
+Section: php
+Architecture: any
+Depends: ${shlibs:Depends}, ${php:Depends}, ${misc:Depends}
+Provides: php7.0-remctl
+Description: PECL module for Kerberos-authenticated command execution
+ remctl is a client/server protocol for executing specific commands on a
+ remote system with Kerberos authentication.  The allowable commands must
+ be listed in a server configuration file, and the executable run on the
+ server may be mapped to any command name.  Each command is also
+ associated with an ACL containing a list of Kerberos principals
+ authorized to run that command.
+ .
+ This package contains the PECL remctl module for PHP 7, which provides
+ native PHP bindings for the libremctl client library.
 
 Package: python-remctl
 Section: python
