=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 override_dh_auto_configure:
 	dh_auto_configure --parallel -- --sysconfdir=/etc/remctl	\
 	    --with-systemdsystemunitdir=/lib/systemd/system		\
-	    --enable-reduced-depends --enable-perl --disable-php		\
+	    --enable-reduced-depends --enable-perl --enable-php		\
 	    --enable-python --enable-ruby
 
 # Override install to check for missing installed files.  Ignore the Ruby
@@ -36,12 +36,10 @@
 override_dh_install:
 	dh_install --fail-missing -Xlibremctl.la -Xusr/local/lib
 	dh_ruby --install
+	dh_php -pphp-remctl
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
 override_dh_makeshlibs:
-	dh_makeshlibs -V 'libremctl1 (>= 3.1)'
-
-#override_dh_gencontrol:
-#	dh_gencontrol -- -V"php:Depends=phpapi-`php-config5 --phpapi`"
+	dh_makeshlibs -V 'libremctl1 (>= 3.3)'
