## remctl 3.12

=== debian/changelog ===
remctl (3.12-1) unstable; urgency=medium

  * New upstream release.
    - New server implementation, remctl-shell, included in the
      remctl-server package, which is meant to be run as the shell of a
      dedicated user via ssh and supports the same configuration as
      remctld.  (This may eventually move into a separate package; if you
      would like to see that, file a bug.)
    - New server configuration option, sudo, which says to change users
      with sudo when running the command.
  * Hard-code the path to sudo in the build so that the sudo package
    doesn't have to be installed when building the package.
  * Switch to the new comment character for php-remctl.ini.
  * Switch to https for all package metadata URLs.
  * Remove now-unneeded source Lintian override.
  * Update standards version to 3.9.8 (no changes required).

 -- Russ Allbery <rra@debian.org>  Fri, 29 Jul 2016 13:23:57 -0700
