=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,8 @@
 	dh_autoreconf --as-needed
 
 override_dh_auto_configure:
-	dh_auto_configure --parallel -- --sysconfdir=/etc/remctl	\
+	dh_auto_configure --parallel -- PATH_SUDO=/usr/bin/sudo		\
+	    --sysconfdir=/etc/remctl					\
 	    --with-systemdsystemunitdir=/lib/systemd/system		\
 	    --enable-reduced-depends --enable-perl --enable-php		\
 	    --enable-python --enable-ruby
