## remctl 3.13

=== debian/control ===
--- 
+++ 
@@ -26,10 +26,10 @@
  python-all-dev
 XS-Python-Version: >= 2.6
 XS-Ruby-Versions: all
-Standards-Version: 3.9.6
-Homepage: http://www.eyrie.org/~eagle/software/remctl/
-Vcs-Git: git://git.eyrie.org/kerberos/remctl.git -b debian/master
-Vcs-Browser: http://git.eyrie.org/?p=kerberos/remctl.git
+Standards-Version: 3.9.8
+Homepage: https://www.eyrie.org/~eagle/software/remctl/
+Vcs-Git: https://git.eyrie.org/git/kerberos/remctl.git -b debian/master
+Vcs-Browser: https://git.eyrie.org/?p=kerberos/remctl.git
 
 Package: libremctl1
 Section: libs
