=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,17 @@
 #!/usr/bin/make -f
 
-# Add hardening build flags.  We have to omit PIE because it breaks the Perl
-# module build (and probably the other interpretors as well).
+# Add hardening build flags.  -fPIE is added separately below via hooks in
+# the upstream build system, since adding it globally breaks the language
+# binding modules.
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 # Link with --as-needed so that the remctl client library doesn't inherit
 # the shared library dependencies of libremctl.
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+# Enable -fPIE for all binaries, picked up by the upstream build system.
+export REMCTL_PROGRAM_CFLAGS  = -fPIE
+export REMCTL_PROGRAM_LDFLAGS = -fPIE
 
 # The additional flags to pass to Build.PL, picked up by the upstream build
 # system.
