## remctl 3.15

=== debian/changelog ===
remctl (3.15-1) unstable; urgency=medium

  * New upstream release.
    - Fix possible output truncation for commands receiving data from
      standard input that exit before reading all input data.
    - Do more paranoid validation of more protocol elements.
    - Make a test robust against the first resolved value of 127.0.0.1 not
      being localhost.  (Closes: #835677)
  * Add Multi-Arch: same for libnet-remctl-perl and ruby-remctl.
  * Enable basic pkg-perl-autopkgtests tests with a custom control file,
    since autodep8 doesn't find the Perl package built from this
    more-complex source package.  Don't include the smoke test for now
    since it requires a more complex setup and execution of the test from
    the perl subdirectory.
  * Add the Python import test generated by autodep8 to the package.
    (Unfortunately, autopkgtest-pkg-python in the Testsuite control field
    appears to do nothing if debian/tests/control exists in the package.)
  * Add dh-python to Build-Depends as requested by dh_python2.
  * Add debian/upstream/metadata file.
  * Set Rules-Requires-Root: no.
  * Bump watch file version to 4.
  * Update standards version to 4.1.4 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sat, 05 May 2018 15:30:47 -0700

remctl (3.14-1) unstable; urgency=high

  * New upstream release.
    - SECURITY: Fix use-after-free and double-free when handling the sudo
      option in remctld.  This may allow (with some difficulty) arbitrary
      command execution on the server by streaming clients if the sudo
      option was used in the server configuration.  Thanks, Santosh
      Ananthakrishnan.  (CVE-2018-0493)
  * Add upstream-vcs-tag pattern to debian/gbp.conf.
  * Use an https URL in debian/watch.
  * Update debhelper comptibility level to V11.
    - Drop dependency and explicit configuration of dh-autoreconf.
    - Drop explicit --parallel option, since this is now the default.
  * Update standards version to 4.1.3.
    - Change libremctl-dev priority to optional.
    - Use https URLs in debian/copyright.
  * Refresh upstream signing key.

 -- Russ Allbery <rra@debian.org>  Sun, 01 Apr 2018 15:07:40 -0700

remctl (3.13-1) unstable; urgency=medium

  * New upstream release.
    - remctl-shell now supports being run as a forced command.
    - The summary configuration option is now allowed for commands with
      subcommands other than ALL, passing in two arguments to the summary
      command.
  * Build the standalone binaries with -fPIE.

 -- Russ Allbery <rra@debian.org>  Mon, 10 Oct 2016 19:23:31 -0700
