=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: net
 Priority: optional
 Maintainer: Russ Allbery <rra@debian.org>
-Build-Depends: debhelper (>= 9),
- dh-autoreconf,
+Build-Depends: debhelper (>= 11),
  dh-php,
+ dh-python,
  dpkg-dev (>= 1.14.9),
  gem2deb (>= 0.4.1~),
  krb5-config,
@@ -26,7 +26,8 @@
  python-all-dev
 XS-Python-Version: >= 2.6
 XS-Ruby-Versions: all
-Standards-Version: 3.9.8
+Rules-Requires-Root: no
+Standards-Version: 4.1.4
 Homepage: https://www.eyrie.org/~eagle/software/remctl/
 Vcs-Git: https://git.eyrie.org/git/kerberos/remctl.git -b debian/master
 Vcs-Browser: https://git.eyrie.org/?p=kerberos/remctl.git
@@ -49,7 +50,6 @@
 
 Package: libremctl-dev
 Section: libdevel
-Priority: extra
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, libremctl1 (= ${binary:Version})
@@ -98,6 +98,7 @@
 Package: libnet-remctl-perl
 Section: perl
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
 Description: Perl client for Kerberos-authenticated command execution
  remctl is a client/server protocol for executing specific commands on a
@@ -147,6 +148,7 @@
 Package: ruby-remctl
 Section: ruby
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
 X-DhRuby-Root: ruby
